      program int_randoms

      parameter (N=100,K=15)

      integer A(N), HA(N)
cmf$  layout HA(:HOST)

      print *, 'Get ',N,' random numbers from 0 to ', K-1

      call cmf_random (A,K)

      HA = A

      print 10, HA
  10  FORMAT (10I8)

      end
